#include <memory>

#include "MediaTool.h"
#include "MainApplication.h"
#include "CommandLineArgs.h"

int main(int argc, char *argv[])
{
    auto args = CommandLineArgs::Create();
    args->process(argc, argv);
    args->recordLaunchPath();

    // Start the gui app
    auto gui_app = GuiApplication(std::move(args));
    gui_app.run();

    return 0;
}
